<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myVehicleIdentificationLabel" jhiTranslate="mpmApp.vehicleIdentification.home.createOrEditLabel">Create or edit a Vehicle Identification</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!vehicleIdentification.idVehicleIdentification">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="vehicleIdentification.idVehicleIdentification" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleIdentification.vehicleNumber" for="field_vehicleNumber">Vehicle Number</label>
            <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
                [(ngModel)]="vehicleIdentification.vehicleNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleIdentification.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="vehicleIdentification.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleIdentification.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="vehicleIdentification.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.vehicleIdentification.vehicle" for="field_vehicle">Vehicle</label>
            <select class="form-control" id="field_vehicle" name="vehicle" [(ngModel)]="vehicleIdentification.vehicleId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="vehicleOption.idVehicle" *ngFor="let vehicleOption of vehicles; trackBy: trackVehicleById">{{vehicleOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.vehicleIdentification.customer" for="field_customer">Customer</label>
            <select class="form-control" id="field_customer" name="customer" [(ngModel)]="vehicleIdentification.customerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
